#!/usr/bin/python
if __name__ == '__main__':
  import sys
  import os
  sys.path.insert(0, os.path.abspath('config'))
  import configure
  configure_options = [
    '--FFLAGS=-fPIC',
    '--prefix=/opt/ohpc/pub/libs/intel/openmpi3/petsc/3.12.0',
    '--with-batch=0',
    '--with-blaslapack-dir=/opt/intel/compilers_and_libraries_2019.5.281/linux/mkl/lib/intel64',
    '--with-c-support',
    '--with-clanguage=C++',
    '--with-debugging=no',
    '--with-fortran-interfaces=1',
    '--with-hdf5-include=/opt/ohpc/pub/libs/intel/openmpi3/hdf5/1.10.5/include',
    '--with-hdf5-lib=/opt/ohpc/pub/libs/intel/openmpi3/hdf5/1.10.5/lib/libhdf5.so',
    '--with-hdf5=1',
    '--with-mpi=1',
    '--with-shared-libraries',
    'PETSC_ARCH=arch-linux2-cxx-opt',
  ]
  configure.petsc_configure(configure_options)
